orbit2-2.14.19-56.1.x86_64.rpm


Advertisement

Description

orbit2 - CORBA Object Request Broker

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename orbit2-2.14.19-56.1.x86_64.rpm
Package name orbit2
Package version 2.14.19
Package release 56.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.gnome.org/
License LGPL-2.1-or-later
Maintainer -
Download size 166.38 KB
Installed size 645.63 KB
ORBit is a CORBA (Common Object Request Broker
Architecture) ORB (Object Request Broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they are written in or the operating system they run on.
You will need to install this package if you want to run programs that
use the CORBA technology ORBit implementation.

Alternatives

Package Version Architecture Repository
orbit2-2.14.19-22.1.i586.rpm 2.14.19 i586 openSUSE Oss
orbit2-2.14.19-22.1.x86_64.rpm 2.14.19 x86_64 openSUSE Oss
orbit2 - - -

Requires

Name Value
/sbin/ldconfig -
libIDL-2.so.0()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -

Provides

Name Value
ORBit2 -
libORBit-2.so.0()(64bit) -
libORBit-imodule-2.so.0()(64bit) -
libORBitCosNaming-2.so.0()(64bit) -
orbit2 = 2.14.19-56.1
orbit2(x86-64) = 2.14.19-56.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package orbit2-2.14.19-56.1.x86_64.rpm
Source Package orbit2-2.14.19-56.1.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install orbit2 rpm package:
    # zypper install orbit2

Files

Path
/usr/bin/linc-cleanup-sockets
/usr/lib64/libORBit-2.so.0
/usr/lib64/libORBit-2.so.0.1.0
/usr/lib64/libORBit-imodule-2.so.0
/usr/lib64/libORBit-imodule-2.so.0.0.0
/usr/lib64/libORBitCosNaming-2.so.0
/usr/lib64/libORBitCosNaming-2.so.0.1.0
/usr/lib64/orbit-2.0/Everything_module.so
/usr/share/doc/packages/orbit2/AUTHORS
/usr/share/doc/packages/orbit2/NEWS
/usr/share/doc/packages/orbit2/README
/usr/share/doc/packages/orbit2/TODO
/usr/share/licenses/orbit2/COPYING

Changelog

2019-12-05 - Michael Gorse <mgorse@suse.com>
- Re-add libname-server2.a to -devel package on SLE/Leap. It is
needed to build libbonobo, which SLE still needs to ship.
- Pass -ffat-lto-objects to CFLAGS on SLE/Leap; needed for static
library.
- Minor spec clean-up.
2019-09-07 - Bjørn Lie <bjorn.lie@gmail.com>
- Delete static build from devel package.
2018-03-05 - jengelh@inai.de
- Update RPM groups, trim descriptions and ensure neutrality of it.
2018-03-05 - dimstar@opensuse.org
- Modernize spec file using spec-cleaner.
2013-12-16 - uweigand@de.ibm.com
- Disable parallel make due to directory creation race.
2013-03-07 - dimstar@opensuse.org
- Add "#undef G_DISABLE_DEPRECATED" to the generated config.h, to
allow the usage of deprectaed glib symbols (e.g. g_thread_*).
2013-02-01 - coolo@suse.com
- update license to new format
2011-12-22 - vuntz@opensuse.org
- Explicitly list files we package.
2010-09-28 - lmedinas@opensuse.org
- Update to version 2.14.19:
+ fix free on error of uninitialized IOR components
- Drop orbit2-crash.patch: fixed upstream.
2010-04-23 - lzwang@novell.com
- bnc#598867: Add orbit2-crash.patch to fix crasher with corrupted
~/.gconfd/saved_state ...

See Also

Package Description
orbit2-devel-2.14.19-56.1.x86_64.rpm Development files for the orbit2 CORBA implementation
orbit2-doc-2.14.19-56.1.noarch.rpm Documentation for the orbit2 CORBA implementation
orca-3.34.1-271.1.noarch.rpm Screen reader for GNOME
orca-3.34.2-276.1.noarch.rpm Screen reader for GNOME
orca-lang-3.34.1-271.1.noarch.rpm Translations for package orca
orca-lang-3.34.2-276.1.noarch.rpm Translations for package orca
pam_pwquality-1.4.1-32.11.i586.rpm PAM module to disallow weak new passwords
pam_pwquality-1.4.1-32.6.x86_64.rpm PAM module to disallow weak new passwords
pango-devel-1.44.7+11-209.2.x86_64.rpm Development files for pango, a library for text layout and rendering
pango-devel-1.44.7+11-209.9.i586.rpm Development files for pango, a library for text layout and rendering
pango-devel-32bit-1.44.7+11-209.9.x86_64.rpm Development files for pango, a library for text layout and rendering
pango-tools-1.44.7+11-209.2.x86_64.rpm Tools for pango, a library for text layout and rendering
pango-tools-1.44.7+11-209.9.i586.rpm Tools for pango, a library for text layout and rendering
pangomm-devel-2.43.1-80.4.x86_64.rpm Development files for pangomm, a C++ API for Pango
pangomm-devel-2.43.1-80.9.i586.rpm Development files for pangomm, a C++ API for Pango
Advertisement
Advertisement